# -*- coding: utf-8 -*-
from setuphelpers import *


server = "http://glpi/glpi/plugins/fusioninventory/"
options = "/no-ssl-check"


def install():
    bin_name = glob.glob("fusioninventory-agent_windows-*.exe")[0]
    install_exe_if_needed(
        bin_name,
        silentflags='/S /acceptlicense /server="%s" /execmode=service %s /runnow' % (server, options),
        key="FusionInventory-Agent",
        min_version=control.get_software_version(),
    )
